######################################################################
#
# The Apache Software License, Version 1.1
# 
# Copyright (c) 1999 The Apache Software Foundation.  All rights 
# reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer. 
# 
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in
#    the documentation and/or other materials provided with the
#    distribution.
# 
# 3. The end-user documentation included with the redistribution,
#    if any, must include the following acknowledgment:  
#       "This product includes software developed by the
#        Apache Software Foundation (http://www.apache.org/)."
#    Alternately, this acknowledgment may appear in the software itself,
#    if and wherever such third-party acknowledgments normally appear.
# 
# 4. The names "Xerces" and "Apache Software Foundation" must
#    not be used to endorse or promote products derived from this
#    software without prior written permission. For written 
#    permission, please contact apache\@apache.org.
# 
# 5. Products derived from this software may not be called "Apache",
#    nor may "Apache" appear in their name, without prior written
#    permission of the Apache Software Foundation.
# 
# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
# ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
# ====================================================================
# 
# This software consists of voluntary contributions made by many
# individuals on behalf of the Apache Software Foundation, and was
# originally based on software copyright (c) 1999, International
# Business Machines, Inc., http://www.ibm.com .  For more information
# on the Apache Software Foundation, please see
# <http://www.apache.org/>.
#
######################################################################


use ExtUtils::MakeMaker;

#
# Set these to where things are on your system
#

my $XMLAPACHE_BUILDDIR = "e:/xmlapache";
my $PERL_LIB_DIR = "c:/perl/5.00560/lib/mswin32-x86/CORE";



WriteMakefile ( 

#=====================================================================
#       Platform-independent
#=====================================================================

	NAME		=> 'Xerces',

	AUTHOR		=> 'Tom Watson (rtwatson@us.ibm.com)',

	OBJECT 		=> 'Xerces_wrap.obj DOMInit.obj DOMParser2.obj DOMString2.obj',

	PM		=> {	'DOM.pm' =>  '$(INST_LIBDIR)/Xerces/DOM.pm',
				'DOMPARSE.pm' => '$(INST_LIBDIR)/Xerces/DOMPARSE.pm',
				'Xerces.pm' => '$(INST_LIBDIR)/Xerces/Xerces.pm'
			},

	PL_FILES	=> { 'makedocs.pl' => 'docs' },

#=====================================================================
#       Platform-dependent, edit according to your compiler and 
#       include/lib locations
#=====================================================================

	LIBS 		=> [ ":nosearch -L$XMLAPACHE_BUILDDIR/xerces/c/lib -L$PERL_LIB_DIR -licuuc -lixxml4c3"],

	CCCDLFLAGS 	=> "-TP -GX",
	CCDLFLAGS 	=> "-TP -GX",

	INC 		=> "-I$XMLAPACHE_BUILDDIR/xerces/c/include/ -I$XMLAPACHE_BUILDDIR/xerces/c/include/icu/",

#=====================================================================
#       Remove the following line if you are using a compiler that 
#       does not have native bool support.
#=====================================================================

	DEFINE 		=> "-DHAS_BOOL"
); 