
%module Xerces

%{
#include <dom/DOM.hpp>
#include <dom/DOM_DOMException.hpp>
#include "DOMInit.hpp"
#include "DOMParser2.hpp"
#include "DOMString2.hpp"
%}


%except (perl5) {
	try {
		$function
	} catch (DOM_DOMException* e) {
		switch ( e->code ) {
			case DOM_DOMException::INDEX_SIZE_ERR:	
				croak ("INDEX_SIZE_ERR");
				break;
			case DOM_DOMException::DOMSTRING_SIZE_ERR:	
				croak ("DOMSTRING_SIZE_ERR");
				break;
			case DOM_DOMException::HIERARCHY_REQUEST_ERR:	
				croak ("HIERARCHY_REQUEST_ERR");
				break;
			case DOM_DOMException::WRONG_DOCUMENT_ERR:	
				croak ("WRONG_DOCUMENT_ERR");
				break;
			case DOM_DOMException::INVALID_CHARACTER_ERR:	
				croak ("INVALID_CHARACTER_ERR");
				break;
			case DOM_DOMException::NO_DATA_ALLOWED_ERR:	
				croak ("NO_DATA_ALLOWED_ERR");
				break;
			case DOM_DOMException::NO_MODIFICATION_ALLOWED_ERR:	
				croak ("NO_MODIFICATION_ALLOWED_ERR");
				break;
			case DOM_DOMException::NOT_FOUND_ERR:	
				croak ("NOT_FOUND_ERR");
				break;
			case DOM_DOMException::NOT_SUPPORTED_ERR:	
				croak ("NOT_SUPPORTED_ERR");
				break;
			case DOM_DOMException::INUSE_ATTRIBUTE_ERR:	
				croak ("INUSE_ATTRIBUTE_ERR");
				break;
			default:	
				croak ("Unknown DOMException");
				break;
		}
	} catch (...) {
		croak ("Unknown exception");
	}
}

%include "api/DOM_Node.hpp"
%include "api/DOM_Attr.hpp"
%include "api/DOM_CharacterData.hpp"
%include "api/DOM_Text.hpp"
%include "api/DOM_Comment.hpp"
%include "api/DOM_CDATASection.hpp"
%include "api/DOM_Document.hpp"
%include "api/DOM_DocumentFragment.hpp"
%include "api/DOM_DocumentType.hpp"
%include "api/DOM_Element.hpp"
%include "api/DOM_Entity.hpp"
%include "api/DOM_EntityReference.hpp"
%include "api/DOM_Notation.hpp"
%include "api/DOM_ProcessingInstruction.hpp"
%include "api/DOM_NamedNodeMap.hpp"
%include "api/DOM_NodeList.hpp"
%include "api/DOM_DOMImplementation.hpp"
%include "api/DOMString.hpp"
%include "DOMInit.hpp"
%include "DOMParser2.hpp"
%include "DOMString2.hpp"


